## kpim6-calendarsupport 25.08.2+p24.04+vunstable+git20251013.1156

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.40")

project(calendarsupport VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.17.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    *.cpp
    *.h
    *.c
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)

include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(CALENDARSUPPORT_LIB_VERSION ${PIM_VERSION})
set(KMIME_LIB_VERSION "6.5.40")
set(CALENDARUTILS_LIB_VERSION "6.5.40")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.40")
set(AKONADICALENDAR_LIB_VERSION "6.5.40")
set(AKONADI_VERSION "6.5.40")
set(KTEXTADDONS_MIN_VERSION "1.8.0")
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        Test
        PrintSupport
)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6Holidays ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT VARIABLE_PREFIX CALENDARSUPPORT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/calendarsupport_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarSupportConfigVersion.cmake"
                        SOVERSION 6
)

########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6CalendarSupport")

add_subdirectory(src)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6CalendarSupport_QCH
        FILE KPim6CalendarSupportQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6CalendarSupportQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimCalendarSupportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarSupportConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarSupportConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarSupportConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6CalendarSupportTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6CalendarSupportTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/src/calendarsupport_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/CalendarSupport/
    COMPONENT Devel
)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kpim6-calendarsupport 25.08.0

=== debian/changelog ===
kpim6-calendarsupport (4:25.08.0-0zneon+24.04+noble+release+build38) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 02:18:28 +0000

kpim6-calendarsupport (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:56:01 +0000

kpim6-calendarsupport (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:34:23 +0000

kpim6-calendarsupport (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:49:39 +0000

kpim6-calendarsupport (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:40:35 +0000

kpim6-calendarsupport (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:25:26 +0000

kpim6-calendarsupport (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:54:34 +0000

kpim6-calendarsupport (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:55:58 +0000

kpim6-calendarsupport (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:47:32 +0000

kpim6-calendarsupport (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:44:50 +0000

kpim6-calendarsupport (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:45:34 +0000

kpim6-calendarsupport (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:18:14 +0000

kpim6-calendarsupport (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:56:15 +0000

kpim6-calendarsupport (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:08:15 +0000

kpim6-calendarsupport (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:44:08 +0000

kpim6-calendarsupport (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:11:31 +0000

kpim6-calendarsupport (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:57:35 +0000

kpim6-calendarsupport (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:34:25 +0000

libkf5calendarsupport (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 10:01:50 +0000

libkf5calendarsupport (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:10:59 +0000

libkf5calendarsupport (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 20:45:42 +0000

libkf5calendarsupport (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:40:19 +0000

libkf5calendarsupport (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 11:27:21 +0000

libkf5calendarsupport (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:55:25 +0000

libkf5calendarsupport (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:23:48 +0000

libkf5calendarsupport (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:02:00 +0000

libkf5calendarsupport (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:08:39 +0000

libkf5calendarsupport (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:29:03 +0000

libkf5calendarsupport (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:02:20 +0000

libkf5calendarsupport (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:30:26 +0000

libkf5calendarsupport (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:21:54 +0000

libkf5calendarsupport (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:41:23 +0000

libkf5calendarsupport (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:37:40 +0000

libkf5calendarsupport (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:50:22 +0000

libkf5calendarsupport (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:04:49 +0000

libkf5calendarsupport (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:56:11 +0000

libkf5calendarsupport (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:12:48 +0000

libkf5calendarsupport (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:56 +0000

libkf5calendarsupport (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:41:33 +0000

libkf5calendarsupport (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:47:44 +0000

libkf5calendarsupport (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 12:00:09 +0000

libkf5calendarsupport (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:50:39 +0000



=== debian/control ===
Source: kpim6-calendarsupport
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcodecs-dev,
               kf6-kcolorscheme-dev,
               kf6-kguiaddons-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-ktextaddons-dev,
               kpim6-akonadi-calendar-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-akonadi-notes-dev,
               kpim6-kcalendarutils-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kimap-dev,
               kpim6-kmime-dev,
               kpim6-pimcommon-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               reuse
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/calendarsupport.git
Vcs-Browser: https://invent.kde.org/neon/kde/calendarsupport
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-calendarsupport
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kcolorscheme, ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5calendarsupport-data,
          libkf5calendarsupport5,
          libkf6calendarsupport-data,
          libkpim6calendarsupport-data,
          libkpim6calendarsupport6
Description: KDE PIM Calendar support - library
 This library provides calendar support for KDE PIM.
 .
 This package provides the shared libraries.

Package: kpim6-calendarsupport-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kpim6-akonadi-calendar-dev,
         kpim6-akonadi-dev,
         kpim6-calendarsupport (= ${binary:Version}),
         kpim6-kidentitymanagement-dev,
         kpim6-kmime-dev,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf5calendarsupport-dev,
          libkf6calendarsupport-dev,
          libkpim6calendarsupport-dev
Description: KDE PIM Calendar support - devel files
 This library provides calendar support for KDE PIM.
 .
 This package provides development files.

Package: libkpim6calendarsupport6
Architecture: all
Depends: kpim6-calendarsupport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6calendarsupport-data
Architecture: all
Depends: kpim6-calendarsupport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6calendarsupport-dev
Architecture: all
Depends: kpim6-calendarsupport-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6calendarsupport6
Architecture: all
Depends: kpim6-calendarsupport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6calendarsupport-data
Architecture: all
Depends: kpim6-calendarsupport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6calendarsupport-dev
Architecture: all
Depends: kpim6-calendarsupport-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5calendarsupport5
Architecture: all
Depends: kpim6-calendarsupport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5calendarsupport-data
Architecture: all
Depends: kpim6-calendarsupport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5calendarsupport-dev
Architecture: all
Depends: kpim6-calendarsupport-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kpim6-calendarsupport 25.08.1

=== debian/changelog ===
kpim6-calendarsupport (4:25.08.1-0zneon+24.04+noble+release+build41) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 21:45:16 +0000

kpim6-calendarsupport (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:20:58 +0000

## kpim6-calendarsupport 25.08.2

=== debian/changelog ===
kpim6-calendarsupport (4:25.08.2-0zneon+24.04+noble+release+build47) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 12:23:40 +0000

kpim6-calendarsupport (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:59:08 +0000

## kpim6-calendarsupport 25.08.2+p24.04+vstable+git20251015.2019

=== debian/changelog ===
kpim6-calendarsupport (4:25.08.2+p24.04+vstable+git20251015.2019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:19:44 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/calendarsupport-([\d.]+).tar.xz

## kpim6-calendarsupport 25.08.2+p24.04+vstable+git20251019.0835

=== debian/changelog ===
kpim6-calendarsupport (4:25.08.2+p24.04+vstable+git20251019.0835-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:35:42 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
                kpim6-akonadi-calendar-dev,
                kpim6-akonadi-dev,
                kpim6-akonadi-mime-dev,
-               kpim6-akonadi-notes-dev,
                kpim6-kcalendarutils-dev,
                kpim6-kidentitymanagement-dev,
                kpim6-kimap-dev,

## kpim6-calendarsupport 25.08.2+p24.04+vunstable+git20251013.1156

=== debian/changelog ===
kpim6-calendarsupport (4:25.08.2+p24.04+vunstable+git20251013.1156-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 11:56:19 +0000

## kpim6-calendarsupport 25.08.2+p24.04+vunstable+git20251015.2017

=== CMakeLists.txt ===
--- 
+++ 
@@ -103,7 +103,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
kpim6-calendarsupport (4:25.08.2+p24.04+vunstable+git20251015.2017-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:17:58 +0000

## kpim6-calendarsupport 25.08.3

=== debian/changelog ===
kpim6-calendarsupport (4:25.08.3-0zneon+24.04+noble+release+build48) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 01:30:26 +0000

kpim6-calendarsupport (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:42:27 +1000

## kpim6-calendarsupport 25.08.3+p24.04+vunstable+git20251204.0303

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,12 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.6.40")
 
 project(calendarsupport VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.17.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 
@@ -66,12 +65,12 @@
 )
 
 set(CALENDARSUPPORT_LIB_VERSION ${PIM_VERSION})
-set(KMIME_LIB_VERSION "6.5.40")
-set(CALENDARUTILS_LIB_VERSION "6.5.40")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.40")
-set(AKONADICALENDAR_LIB_VERSION "6.5.40")
-set(AKONADI_VERSION "6.5.40")
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(KMIME_LIB_VERSION "6.6.40")
+set(CALENDARUTILS_LIB_VERSION "6.6.40")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
+set(AKONADICALENDAR_LIB_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.40")
+set(KTEXTADDONS_MIN_VERSION "1.8.82")
 find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
 find_package(
     Qt6
@@ -103,7 +102,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
kpim6-calendarsupport (4:25.08.3+p24.04+vunstable+git20251204.0303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 03:03:22 +0000

## kpim6-calendarsupport 25.08.3+p24.04+vunstable+git20251206.0947

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(calendarsupport VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kpim6-calendarsupport (4:25.08.3+p24.04+vunstable+git20251206.0947-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 09:48:01 +0000

## kpim6-calendarsupport 25.12.0

=== debian/changelog ===
kpim6-calendarsupport (4:25.12.0-0zneon+24.04+noble+release+build49) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:42:26 +0000

kpim6-calendarsupport (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:38:49 +1000

## kpim6-calendarsupport 25.12.1

=== debian/changelog ===
kpim6-calendarsupport (4:25.12.1-0zneon+24.04+noble+release+build52) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 03:06:18 +0000

kpim6-calendarsupport (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:29:05 +1000

## kpim6-calendarsupport 25.12.1+p24.04+vstable+git20260122.0939

=== debian/changelog ===
kpim6-calendarsupport (4:25.12.1+p24.04+vstable+git20260122.0939-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 09:39:32 +0000

## kpim6-calendarsupport 25.12.1+p24.04+vstable+git20260128.0446

=== debian/changelog ===
kpim6-calendarsupport (4:25.12.1+p24.04+vstable+git20260128.0446-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 04:46:33 +0000

## kpim6-calendarsupport 25.12.1+p24.04+vunstable+git20260204.0128

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.27)
 set(PIM_VERSION "6.6.40")
 
 project(calendarsupport VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.20.0")
+set(KF_MIN_VERSION "6.21.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -37,6 +37,14 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(
+            WARNING
+            "This module has pre-commit support. pre-commit binary was found. Please execute pre-commit install -f"
+        )
+    endif()
+
     include(KDEGitCommitHooks)
     include(KDEClangFormat)
     kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
@@ -55,14 +63,7 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-include(ECMAddQch)
-
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(
-    QCH
-    ${BUILD_QCH}
-    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
-)
+include(ECMGenerateQDoc)
 
 set(CALENDARSUPPORT_LIB_VERSION ${PIM_VERSION})
 set(KMIME_LIB_VERSION "6.6.40")
@@ -70,7 +71,7 @@
 set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
 set(AKONADICALENDAR_LIB_VERSION "6.6.40")
 set(AKONADI_VERSION "6.6.40")
-set(KTEXTADDONS_MIN_VERSION "1.8.82")
+set(KTEXTADDONS_MIN_VERSION "1.9.1")
 find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
 find_package(
     Qt6
@@ -102,7 +103,12 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0 KMIME 6.7.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
 
@@ -114,22 +120,23 @@
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6CalendarSupport")
 
+option(WARNINGS_AS_ERRORS "Warnings are errors -Werror" OFF)
+if(WARNINGS_AS_ERRORS)
+    if(MSVC)
+        add_compile_options(/WX)
+        add_compile_options(/wd4996)
+    else()
+        add_compile_options(-Werror)
+        add_compile_options(-Wno-error=deprecated-declarations)
+    endif()
+endif()
+
 add_subdirectory(src)
 
 if(DEFINED kde_configure_git_pre_commit_hook)
     kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 endif()
 ki18n_install(po)
-
-if(BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KPim6CalendarSupport_QCH
-        FILE KPim6CalendarSupportQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6CalendarSupportQchTargets.cmake\")")
-endif()
 
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KPimCalendarSupportConfig.cmake.in"

=== debian/changelog ===
kpim6-calendarsupport (4:25.12.1+p24.04+vunstable+git20260204.0128-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 01:28:16 +0000

## kpim6-calendarsupport 25.12.2

=== debian/changelog ===
kpim6-calendarsupport (4:25.12.2-0zneon+24.04+noble+release+build53) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 07:59:52 +0000

kpim6-calendarsupport (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:54:23 +0000

## kpim6-calendarsupport 25.12.2+p24.04+vunstable+git20260207.0356

=== CMakeLists.txt ===
--- 
+++ 
@@ -108,7 +108,7 @@
     # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
     string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
 endif()
-ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0 KMIME 6.7.0)
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.23.0 KMIME 6.7.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"calendarsupport6\")

########### next target ###############
add_library(KPim6CalendarSupport)
add_library(KPim6::CalendarSupport ALIAS KPim6CalendarSupport)
target_sources(
    KPim6CalendarSupport
    PRIVATE
        archivedialog.cpp
        attachmenthandler.cpp
        calendarsingleton.cpp
        categoryhierarchyreader.cpp
        cellitem.cpp
        collectionselection.cpp
        eventarchiver.cpp
        identitymanager.cpp
        incidenceattachmentmodel.cpp
        kcalprefs.cpp
        messagewidget.cpp
        utils.cpp
        urihandler.cpp
        printing/calprintpluginbase.cpp
        printing/calprintdefaultplugins.cpp
        printing/calprinter.cpp
        printing/journalprint.cpp
        printing/yearprint.cpp
        next/incidenceviewer.cpp
        freebusymodel/freeperiodmodel.cpp
        freebusymodel/freebusyitem.cpp
        freebusymodel/freebusyitemmodel.cpp
        freebusymodel/freebusycalendar.cpp
        next/incidenceviewer.h
        next/incidenceviewer_p.h
        categoryhierarchyreader.h
        calendarsingleton.h
        utils.h
        archivedialog.h
        cellitem.h
        identitymanager.h
        attachmenthandler.h
        eventarchiver.h
        printing/printplugin.h
        printing/calprintpluginbase.h
        printing/journalprint.h
        printing/calprintdefaultplugins.h
        printing/yearprint.h
        printing/calprinter.h
        kcalprefs.h
        urihandler.h
        incidenceattachmentmodel.h
        freebusymodel/freeperiodmodel.h
        freebusymodel/freebusyitemmodel.h
        freebusymodel/freebusycalendar.h
        freebusymodel/freebusyitem.h
        collectionselection.h
        messagewidget.h
)

ki18n_wrap_ui(KPim6CalendarSupport
  printing/calprintdayconfig_base.ui
  printing/calprintincidenceconfig_base.ui
  printing/calprintjournalconfig_base.ui
  printing/calprintmonthconfig_base.ui
  printing/calprinttodoconfig_base.ui
  printing/calprintweekconfig_base.ui
  printing/calprintyearconfig_base.ui
)
ecm_qt_declare_logging_category(KPim6CalendarSupport HEADER calendarsupport_debug.h IDENTIFIER CALENDARSUPPORT_LOG CATEGORY_NAME org.kde.pim.calendarsupport
        OLD_CATEGORY_NAMES log_calendarsupport
        DESCRIPTION "calendarsupport (calendarsupport)" EXPORT CALENDARSUPPORT
)

kconfig_add_kcfg_files(KPim6CalendarSupport kcalprefs_base.kcfgc)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6CalendarSupport
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
ecm_generate_export_header(
    KPim6CalendarSupport
    BASE_NAME calendarsupport
    VERSION ${PIM_VERSION}
    DEPRECATION_VERSIONS "5.24"
)

target_include_directories(
    KPim6CalendarSupport
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/CalendarSupport/>"
)
target_include_directories(
    KPim6CalendarSupport
    PUBLIC
        "$<BUILD_INTERFACE:${calendarsupport_SOURCE_DIR}/src;${calendarsupport_BINARY_DIR}/src>"
)

target_link_libraries(
    KPim6CalendarSupport
    PUBLIC
        KPim6::Mime
        KPim6::IdentityManagementCore
        KPim6::AkonadiCalendar
        KF6::ConfigGui
        Qt::PrintSupport
    PRIVATE
        KF6::TextCustomEditor
        KF6::I18n
        KF6::Completion
        KF6::KIOWidgets
        KF6::GuiAddons
        KPim6::AkonadiWidgets
        KF6::Holidays
        KF6::Codecs
        KPim6::AkonadiCore
        KF6::CalendarCore
        KPim6::CalendarUtils
)

set_target_properties(
    KPim6CalendarSupport
    PROPERTIES
        VERSION
            ${CALENDARSUPPORT_VERSION}
        SOVERSION
            ${CALENDARSUPPORT_SOVERSION}
        EXPORT_NAME
            CalendarSupport
)

install(TARGETS KPim6CalendarSupport EXPORT KPim6CalendarSupportTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(CalendarSupport_CamelCase_HEADERS
  HEADER_NAMES
  Utils
  CellItem
  CollectionSelection
  KCalPrefs
  IdentityManager
  EventArchiver
  CategoryHierarchyReader
  CalendarSingleton
  MessageWidget
  ArchiveDialog
  UriHandler
  REQUIRED_HEADERS CalendarSupport_HEADERS
  PREFIX CalendarSupport
)

ecm_generate_headers(CalendarSupport_CamelCaseprinter_HEADERS
  HEADER_NAMES
  PrintPlugin
  CalPrinter
  REQUIRED_HEADERS CalendarSupport_printer_HEADERS
  PREFIX CalendarSupport
  RELATIVE printing
)

ecm_generate_headers(CalendarSupport_CamelCasenext_HEADERS
  HEADER_NAMES
  IncidenceViewer
  REQUIRED_HEADERS CalendarSupport_next_HEADERS
  PREFIX CalendarSupport
  RELATIVE next
)

ecm_generate_headers(CalendarSupport_CamelCasefreebusy_HEADERS
  HEADER_NAMES
  FreeBusyItem
  FreeBusyItemModel
  FreeBusyCalendar
  FreePeriodModel
  REQUIRED_HEADERS CalendarSupport_freebusy_HEADERS
  PREFIX CalendarSupport
  RELATIVE freebusymodel
)

install(
    FILES
        ${CalendarSupport_CamelCase_HEADERS}
        ${CalendarSupport_CamelCaseprinter_HEADERS}
        ${CalendarSupport_CamelCasenext_HEADERS}
        ${CalendarSupport_CamelCasefreebusy_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/CalendarSupport/CalendarSupport
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/calendarsupport_export.h
        ${CMAKE_CURRENT_BINARY_DIR}/ui_calprintincidenceconfig_base.h
        ${CMAKE_CURRENT_BINARY_DIR}/ui_calprintdayconfig_base.h
        ${CMAKE_CURRENT_BINARY_DIR}/ui_calprintweekconfig_base.h
        ${CMAKE_CURRENT_BINARY_DIR}/ui_calprintmonthconfig_base.h
        ${CMAKE_CURRENT_BINARY_DIR}/ui_calprinttodoconfig_base.h
        ${CMAKE_CURRENT_BINARY_DIR}/kcalprefs_base.h
        ${CalendarSupport_HEADERS}
        ${CalendarSupport_printer_HEADERS}
        ${CalendarSupport_next_HEADERS}
        ${CalendarSupport_freebusy_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/CalendarSupport/calendarsupport
    COMPONENT Devel
)
if(BUILD_TESTING)
    add_subdirectory(freebusymodel/autotests)
endif()

ecm_qt_install_logging_categories(EXPORT CALENDARSUPPORT FILE calendarsupport.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
ecm_generate_qdoc(KPim6CalendarSupport calendarsupport.qdocconf)

=== debian/changelog ===
kpim6-calendarsupport (4:25.12.2+p24.04+vunstable+git20260207.0356-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 03:56:58 +0000
